Subject: [dhcwg] [Fwd: Re: bind zones and dhcpd configuration from ldap]

From: Yannick Majoros <[email-masked]>
Date: Tue, 15 Nov 2005 23:53:49 +0100

Hello again,

 Here is some information about the schema I use, as an url to both files:

 - main script: http://www.inma.ucl.ac.be/~majoros/ldap_hosts_redist
 - "serials" update script: 
http://www.inma.ucl.ac.be/~majoros/serials_redist

 The schema I use is included in openldap distributions.

 Sincerely,

 Yannick

-------- Original Message --------
Subject: 	Re: bind zones and dhcpd configuration from ldap
Date: 	Tue, 15 Nov 2005 23:41:01 +0100
From: 	Yannick Majoros <[email-masked]>
To: 	W Howard <[email-masked]>
References: 	<[email-masked]>

W Howard wrote:
> I am at an earlier point in a very similar project and would like to try
> your scripts.  Unfortunately I did not see a way to get copies of them in
> your posting.
>
> I am also curious about what attributes you store for machines.  I think I
> have a pretty good list, but am always willing to learn from others,
> especially when they have more experience.
>
> I would appreciate it if you could send me (or the list) a URI for an
> ftp or http server which has your scripts.
>   
 Hello,

 I'll send an URL to the list asap, but here it is if you want.

 Object classes I use:

- device ("RFC2256: a device")
- ieee803device ("A device with a MAC address")
- ipHost ("Abstraction of a host, an IP device") for hosts having a fixed IP
- bootableDevice ("A device with boot parameters") for hosts needing 
booting option via dhcp

 Attributes: mainly "description", "macAddress" and "ipHostNumber". And 
"cn" for the hostname...

 Sincerely,

-- 
----------------------------------------------------------------------
Yannick Majoros http://www.inma.ucl.ac.be/~majoros
Informaticien UCL/INMA-MEMA
4, avenue G. Lemaître
B-1348 Louvain-la-Neuve
Belgium
Tel: +32-10-47.80.10
Fax: +32-10-47.21.80
Si vous avez des problèmes pour afficher ce message
(accents qui ne passent pas, signature électronique, 
...) votre système de mail n'est pas conforme aux
standards modernes, voir
http://www.inma.ucl.ac.be/~majoros/email.html
#JAPH : http://www.inma.ucl.ac.be/~majoros/japh.txt
----------------------------------------------------------------------

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg